[arch-commits] Commit in iperf/repos (5 files)

Felix Yan felixonmars at archlinux.org
Tue Jul 7 14:13:39 UTC 2020


    Date: Tuesday, July 7, 2020 @ 14:13:38
  Author: felixonmars
Revision: 658767

archrelease: copy trunk to community-staging-x86_64

Added:
  iperf/repos/community-staging-x86_64/
  iperf/repos/community-staging-x86_64/PKGBUILD
    (from rev 658765, iperf/trunk/PKGBUILD)
  iperf/repos/community-staging-x86_64/iperf-tcp.service
    (from rev 658765, iperf/trunk/iperf-tcp.service)
  iperf/repos/community-staging-x86_64/iperf-udp.service
    (from rev 658765, iperf/trunk/iperf-udp.service)
  iperf/repos/community-staging-x86_64/iperf.install
    (from rev 658765, iperf/trunk/iperf.install)

-------------------+
 PKGBUILD          |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 iperf-tcp.service |    9 ++++++++
 iperf-udp.service |    9 ++++++++
 iperf.install     |   11 ++++++++++
 4 files changed, 83 insertions(+)

Copied: iperf/repos/community-staging-x86_64/PKGBUILD (from rev 658765, iperf/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-07-07 14:13:38 UTC (rev 658767)
@@ -0,0 +1,54 @@
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+# Contributor: Dale Blount <dale at archlinux.org>
+
+pkgname=iperf
+pkgver=2.0.13
+pkgrel=2
+pkgdesc='A tool to measure maximum TCP bandwidth'
+arch=('x86_64')
+license=('custom')
+url='https://sourceforge.net/projects/iperf2/'
+depends=('gcc-libs')
+install=iperf.install
+source=("https://downloads.sourceforge.net/iperf2/iperf-$pkgver.tar.gz"
+        'iperf-tcp.service'
+        'iperf-udp.service')
+md5sums=('31ea1c6d5cbf80b16ff3abe4288dad5e'
+         '1d8660b540aa0db2e627d3d400cb8de4'
+         'a27a8d27b1585bc999a04a2f082e2726')
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+  :
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr \
+              --enable-ipv6 \
+              --enable-multicast \
+              --enable-threads \
+              --enable-fastsampling
+  make
+}
+
+package() {
+  pushd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/iperf/LICENSE"
+  popd
+  # systemd
+  install -Dm644 iperf-tcp.service "$pkgdir/usr/lib/systemd/system/iperf-tcp.service"
+  install -Dm644 iperf-udp.service "$pkgdir/usr/lib/systemd/system/iperf-udp.service"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: iperf/repos/community-staging-x86_64/iperf-tcp.service (from rev 658765, iperf/trunk/iperf-tcp.service)
===================================================================
--- community-staging-x86_64/iperf-tcp.service	                        (rev 0)
+++ community-staging-x86_64/iperf-tcp.service	2020-07-07 14:13:38 UTC (rev 658767)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Iperf TCP Server
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/iperf -s -V
+
+[Install]
+WantedBy=multi-user.target

Copied: iperf/repos/community-staging-x86_64/iperf-udp.service (from rev 658765, iperf/trunk/iperf-udp.service)
===================================================================
--- community-staging-x86_64/iperf-udp.service	                        (rev 0)
+++ community-staging-x86_64/iperf-udp.service	2020-07-07 14:13:38 UTC (rev 658767)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Iperf UDP Server
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/iperf -u -s -V
+
+[Install]
+WantedBy=multi-user.target

Copied: iperf/repos/community-staging-x86_64/iperf.install (from rev 658765, iperf/trunk/iperf.install)
===================================================================
--- community-staging-x86_64/iperf.install	                        (rev 0)
+++ community-staging-x86_64/iperf.install	2020-07-07 14:13:38 UTC (rev 658767)
@@ -0,0 +1,11 @@
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  if [ "$(vercmp $2 2.0.5-6)" -lt 0 ]; then
+    cat << EOF
+===> iperf.service unit has been moved to iperf-udp.service and iperf-tcp.service.
+EOF
+    fi
+}
+
+# vim:set ts=2 sw=2 ft=sh et:


More information about the arch-commits mailing list